/*	$Id: ptio.h,v 1.1 2014/08/07 08:44:11 tsubai Exp $	*/

/*-
 * Copyright (c) 2013,2014 Tsubai Masanari.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. The name of the author may not be used to endorse or promote products
 *    derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

struct pt_channel {
	int freq;	/* Channel number */
	int slot;	/* Time slot (ISDB-S) or frequency offset (ISDB-T) */
};
#define PTIOSCHAN	_IOW('p', 0, struct pt_channel)
#define PTIOGCHAN	_IOR('p', 1, struct pt_channel)

#define LNB_OFF 0
#define LNB_11V 11
#define LNB_15V 15
#define PTIOSLNBMODE	_IOW('p', 2, int)
#define PTIOGLNBMODE	_IOR('p', 3, int)

#define PTIORECORD	_IOW('p', 4, int)
#define PTIOGCNR	_IOR('p', 17, int)
#define PTIOGAGC	_IOR('p', 18, int)
#define PTIOGCAR	_IOR('p', 19, int)
#define PTIOGCLK	_IOR('p', 20, int)
#define PTIOGRAWERR	_IOR('p', 21, int)

/* Linux compatibility ioctls */
typedef struct _frequency {
	int frequencyno;
	int slot;
} FREQUENCY;

#define SET_CHANNEL	_IOW(0x8d, 0x01, FREQUENCY)
#define START_REC	_IO(0x8d, 0x02)
#define STOP_REC	_IO(0x8d, 0x03)
#define GET_SIGNAL_STRENGTH _IOR(0x8d, 0x04, int)
#define LNB_ENABLE	_IO(0x8d, 0x05)
#define LNB_DISABLE	_IO(0x8d, 0x06)
